Publications

Request a text reply to a stored public comment

POST
/api/projects/{projectId}/publications/{publicationId}/comments/replies

Authorization

headerAuthorizationBearer <Postdot API key>

A user-owned Postdot API key sent as Authorization: Bearer <token>. Its project scope is limited by the creator’s current access.

Path Parameters

projectId*string
Length1 <= length
publicationId*string
Length1 <= length

Request Body

  1. body
requestId*string
Formatuuid
parentUri*string
Lengthlength <= 2048
text*string
Length1 <= length <= 3000

Response Body

Response for status 200

application/json
  1. response
replies*array<>
nextBefore*string|null
canReply*boolean
accountName*string|null
provider*string
Value in"bluesky""mastodon"
textLimit*integer
instanceOrigin*string|null
Example Request
curl -X POST 'https://postbot.example/api/projects/string/publications/string/comments/replies' \
  -H 'Content-Type: application/json' \
  -d '{
  "requestId": "d385ab22-0f51-4b97-9ecd-b8ff3fd4fcb6",
  "parentUri": "string",
  "text": "string"
}'
Example Response
{
  "replies": [
    {
      "id": "string",
      "parentUri": "string",
      "text": "string",
      "state": "pending",
      "authorName": "string",
      "createdAt": 0,
      "updatedAt": 0,
      "externalUrl": "string",
      "lastError": "string"
    }
  ],
  "nextBefore": "string",
  "canReply": true,
  "accountName": "string",
  "provider": "bluesky",
  "textLimit": 0,
  "instanceOrigin": "string"
}

Was this page helpful?